<

miércoles, febrero 21, 2007

Cuidado! Beryl 0.2.0 RC3 y muchas complicaciones en los updates de versiones SVN. Además esta naciendo el Beryl Settings Manager Simple :)

editado 22/02/2007 15:33 UTC: Para usuarios Ubuntu Feisty Fawn con Beryl moribundo. La solución es hacer downgrade del paquete X11 RandR extension library (libxrandr2). Forza la version Edgy y revive Beryl. Podes bajar el paquete de AQUI. Otras soluciones en los commentarios en este mismo post. ( que se descontrolo jaja.. que blog descontrolado este! :P )
Ahora si es de tu interes continuamos con la programacion habitual.. see ya! :D

Comienzo del Post Original:
Este post, ademas de una noticia, es un servicio a la comunidad Berylera (en especial para los usuarios de Feisty Herd 4) :P

Acaban de liberar dentro de trunk la version RC3 de nuestro manejador de ventanas favorito, nuestro querido Beryl.

Si sos fan de Beryl y seguias el roadmap (link en ingles) (link en castellano) sabras que estaba planeado un estimado para el dia 20 de febrero, es decir ayer, de la salida de Beryl 0.2.0 en version final. Pero se complico :P Igual es obvio que no tiene importancia, fue un estimativo hecho hace al menos 2 meses atras!!

Asi que se esta largando un nuevo release candidate, el RC3 (por ahora en trunk) y ademas esta todo bastante problemático en cuanto a actualizar. Si compilas el svn diario es probable que tengas, en mayor o menor medida problemas (algunos en Edgy.. pero muchos en Feisty! Ojo!) ... Si actualizas desde los repositorios svn-snapshot de Treviño, es probable que tengas en mayor o menor medida, tambien problemas sie s que Trevi incorpora estas ultimas modificaciones.

Asi que nuestra humilde recomendacion seria la siguiente:

1. No actualices por el momento si tu Beryl esta funcionando bien.

2. Si estas desesperado por actualizar porque sos adicto a Beryl y no compilar o actualizar por mas de 12 horas te produce síndrome de abstinencia jaja, primero visita los foros oficiales y pegale una leida al estado de animo de los usuarios que participan de el. Es un buen termometro leer los ultimos post a ver cuanto problema hay con las ultimas actualizaciones. Que son mas con XGL y ATI que con Nvidia. (de paso un mensaje para los desarrolladores de Nvidia (saquen un driver nuevo!!! :P hace ya 3 meses que ni tocan nuestro driver para Linux :(

3. En nuestro caso particular la compilacion svn en la noche de ayer, en un Feisty Fawn Herd 4 conviertio a Beryl en algo inutilizable colgando gnome y debiendo resetear X.
En Ubuntu Edgy Eft esta funcionando pero, salvo que nuestros cerebros ya esten totalmente agotados e inutilizados (cosa que no seria demasiado irreal jaja) tambien da problemas, menores pero da.

Asi que si sos un fiel seguidor del "no risk no fun" actualiza!
Pero si sos un usuario moderado que prefiere estabilidad a pocas cosas nuevas en realidad, entonces espera un poquito.

Cosas nuevas no hay casi nada. La unica novedad es el Beryl Settings Manager (Simple). Es un intento de que los seteos para un usuario novato no sean tan complicados. Pero cuidado. Si llegas a tocar esto, backupea tu perfil antes, porque es una herramienta muy nueva y por el momento muy destructiva (te limpia todos tus seteos de un plumazo y por el momento no avisa ni advierte).

El resto son todas correciones de errores. Asi que quedate con la 0.2.0 RC2 oficial o la ultima de Treviño que tengas funcionando de manera casi perfecta en este momento. Y espera un poco para aplicar actualizaciones nuevas o compilar el svn.

Esto no es algo oficial ni es que si o si sea asi, es solo nuestra recomendación basada en nuestra propia experiencia, por los problemas que tuvimos estos ultimos dias :) Saldo de los incidentes, un Feisty h4 muerto, tres Edgy heridos (uno de ellos de gravedad).. jaja.

Hasta el proximo post que va a ser más buena onda y que empezará la seccion Beryl Power Users (titulo robado de una revista que compró aca en mi país. "Power Users" y que esta buenisima! :) En este primer post de esta nueva seccion, del blog, no de la revista eh!.. vas a saber como usar scale + wobbly + wave transformando ese plugin de Beryl en algo muyyy bonito :P Anda probando si no tenes paciencia (que desesperacíon eh!) :P

Saludos y si actualizas, Happy Update :P

Etiquetas: , ,

16 Comments:

Blogger kamykaze77 said...

Jeje, voy a pecar de novato, lo sé, pero lei tu post tarde. Tengo XGL y Beryl y chasss, estoy peta que no veas. Ahora mi pregunta, como puedo recuperar la versión anterior, que sé que se aloja en /var/cache/apt/archives. Un Saludo, y ha seguir con este genial blog.

7:30 a. m.  
Blogger Johnny-Five said...

Hola kamykaze77

Asi es.. no es ser novato o ni nada de eso.
Es asi el tema de Beryl, hay que tener en cuenta que estamos todos tan maravillados con Beryl que nadie usa la version estable. Somos todos Beta Tester!! jaja :P

Mira. EL mod aleman da la solucion a tu problema en este post:
http://forum.beryl-project.org/viewtopic.php?p=22898#p22898

UNa traduccion rapiada seria:
Aca una manera rapida para hacer downgrade a la ultima version que funcionaba ok:

1. Desinstalar Beryl completamente

2. Remover los repositorios SVN (u otro Beryl-repo)

3. Buscar estos paquetes en/var/cache/apt/archives/

beryl_0.2.0+svn20070216-r4103+3v1ubuntu0_i386.deb
beryl-core_0.2.0+svn20070216-r4103+3v1ubuntu0_i386.deb
beryl-manager_0.2.0+svn20070213-r4019+3v1ubuntu0_i386.deb
beryl-plugins_0.2.0+svn20070218-r4130+3v1ubuntu0_i386.deb
beryl-plugins-data_0.2.0+svn20070218-r4130+3v1ubuntu0_all.deb
beryl-settings_0.2.0+svn20070218-r4140+3v1ubuntu0_i386.deb
beryl-settings-bindings_0.2.0+svn20070201-r3550+3v1ubuntu0_i386.deb
emerald_0.2.0+svn20070208-r3810+3v1ubuntu0_i386.deb
libberyldecoration0_0.2.0+svn20070216-r4103+3v1ubuntu0_i386.deb
libberylsettings0_0.2.0+svn20070216-r4103+3v1ubuntu0_i386.deb
libemeraldengine0_0.2.0+svn20070208-r3810+3v1ubuntu0_i386.deb

opcional: emerald-themes_0.2.0+svn20070126-r3229+3v1ubuntu0_all.deb

4. Copiarlos a una carpeta por ej beryl-svn en tu escritorio

5. Abrir un terminal y cambiar a el

cd ~/Desktop/beryl-svn

6. Instalar todos los paquetes de esa carpeta

sudo dpkg -i *.deb

7. arrancar beryl

beryl-manager

8. Enjoy. Very Happy (disfrutar. muy felix) eso dice el (Forlong)..

Ojala se solucione (eso digo yo jaja)


Por ultimo anoche lei en los foros a un chico que decia que con Xorg 7.2 (tambien version beta o alpha) el tema del cubo blanco se solucionaba.

Asi que parece los usuario de ATI y XGL dentro de poco ya no van a tener mas problemas tampoco

Saludos :)

10:11 a. m.  
Blogger Johnny-Five said...

Hola de Nuevo :P

Por si alguien purgo los paquetes.
El mismo usuario , el moderador aleman Forlong aca dejo un link con los paquetes de la ultima svn-snapshot working

http://www.sendspace.com/file/t49poi

Si quieren confirmar el linkaca esta el post original:
http://forum.beryl-project.org/viewtopic.php?f=43&t=70&st=0&sk=t&sd=a&start=360

Saludos :)

10:22 a. m.  
Blogger Johnny-Five said...

Otra solucion un poco mas drastica: remover beryl por completo de manera cruda ye instalar la 0.2.0 rc2 desde repos oficiales:

Este pseudo script lo escribi yo y hace backup de los settings a carpetas .blablabla-backup.. Usen con cuidado porfi.

sudo mv ~/.beryl ~/.beryl-backup
sudo mv ~/.bdm ~/.bdm-backup
sudo mv ~/.emerald ~/.emerald-backup
sudo rm -R /usr/local/lib/beryl
sudo rm /usr/local/lib/libseom*
sudo rm /usr/local/bin/beryl*
sudo rm /usr/local/bin/heliodor*
sudo rm /usr/local/bin/seom*
sudo rm /usr/local/bin/screenletsd*
sudo rm -R /usr/lib/beryl
sudo rm /usr/lib/libberylsettings*
sudo rm -R /usr/lib/emerald
sudo rm /usr/bin/beryl*
sudo rm /usr/bin/emerald*
sudo rm -R /usr/share/beryl
sudo rm -R /usr/share/emerald
optional if you compile svn trunk #sudo rm -R /tu_ruta_al_svn/beryl/trunk

Then edit sources.list
edgy
deb http://ubuntu.beryl-project.org edgy main

feisty
deb http://ubuntu.beryl-project.org feisty main

get the public key
wget http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg -O- | sudo apt-key add -

sudo apt-get update
sudo apt-get install beryl emerald (or what u need)

Saludos y me escribi un nuevo post pero en comentarios.. ajjjajja :P

10:25 a. m.  
Blogger Smashing said...

jonhy-five, ejecuté el script, y desde ahí todo han sido problemas, he conseguido eliminar beryl, y volverlo a instalar desde repositorios oficiales no SVN, y me isntala la 0.199999 y todo bien, pero luego no puedo ejecutar la configuración y no funciona bery. Estoy planteando en reinstalar ubuntu. Como puedo hacer esto? Es decir instalar de nuevo ubuntu desde cero :S

2:45 p. m.  
Blogger Johnny-Five said...

Hola smashing.

No creo que sea necesario reinstalar ubuntu.

Hace una cosa.. abri una ventana de terminal

escribi beryl-manager y decia aca o en el foro en español de Beryl que te dice.

El icono del diamante rojo te aparece?
En caso de que aparezca.. fijate si no arranca como metacity ... ahi cambia la sesion desde seleecionar manejador de ventanas de metacity a beryl


si usas feisty hace downgrade del paquete que dice al comienzo del post.

Su usas xgl + ati es mas complicado.

En los foros de Beryl en ingles sobre todo en las ultimas 24 horas salieron soluciones a todos los problemas que ocasionaron estas ultimas actualizaciones

pasate por ahi. .

Saludos :P

3:00 p. m.  
Blogger Nincen said...

Yo lo actualize y no tuve problema alguno, paso la prueba con mi vieja Ati Radeon 9250 xD..

Por cierto, muy buen blog..

9:24 p. m.  
Blogger Johnny-Five said...

Hola nincen :)

Me alegro de que no hayas tenido porblemas en la actualizacion. Mas siendo usuario de Ati eso es realmente una gran noticia :)

Igualmente 24 horas despues de la salida del rc3 en los foros ya se habian encontrado soluciones para todos los problemas ocasionados por suerte.

Saludos y gracias por el feedback ;)

1:29 p. m.  
Blogger -=RaceC=- said...

Muchas gracias, con esto solucionè el problemilla de "Beryl Blanco"

saludos!

2:37 p. m.  
Blogger Johnny-Five said...

Hola RaceC.. me alegro que hayas solucionado lo del cubo blanco :)

Aprovecho el comentario para avisarles a los que lean el post que en mi caso hace un rato instale un feisty limpio y lo del xrandr2 ya esta totalmente solucionado

Una instalacion limpia de Fesity + una compilacion desde cero del svn de beryl = Woo! Que impresionante, maravilloso y que lindo que anda todo esto! :P

Saludos :P

3:00 p. m.  
Blogger Granjerox said...

Puff, acabo de encontrar tu blog y me parece cojonudo. Una pena no haberlo encontrado antes. La cosa es que actualicé hace unos dias as Feisty y el Beryl se me fue a la mierda. Tendo un inspiron 6400 con una ATI x1400, por lo tanto XGL + fglrx. Aquí no funciona una mierda, he estado mirando post en ubuntuforums y en los foros de beryl pero no me aclaro para nada. He intentado un par de soluciones, pero sin resultados productivos. Había pensado compilarlo desde svn, pero no tengo mucha idea y admas no soy capaz de solventar las dependencias, faltan paquetes en los repositorios. ¿que me recomiendas?, ¿alguna idea por donde atacar el problema?

9:20 a. m.  
Blogger Johnny-Five said...

Hola Granjerox :)

Nos paso algo similar en Feisty y con Nvidia y el driver privativo que seria la configuracion mas facil para instalar Beryl.

Una de las cosas que causa muchos problemas es la nueva integracion de los Desktop Effects (Compiz) en Feisty .. La solucion que encontramos nosotros ahi fue remover lo de compiz y reinstalar el driver.

Con ati y fglrx es un sacerdocio.. una vocacion hacia el deporte extremo que el mas osado practicante de parapente admiraria jaja :P No uso ATI pero leo dia a dia lo complicado que se les hace.

Ahi me parece que si es solo por Beryl tal vez te convendria usar el driver open source. Sino por lo que lei, no lo probe sinceramente, algunos probando downgrades vuelven a la normalidad con la version 0.1.99.2 (que deberia ser la de los repos oficiales)

En cuanto al svn de Beryl hace un par de dias estuvieron modificando integracion de XGL, si queres compilar el svn en Feisty ahi si te puedo decir con seguridad, porque compile hace unas horas, que la lista de dependencias que llevamos aca funciona correctamente tanto en Edgy como en Beryl

http://goberylgo.blogspot.com/2007/01/como-actualizar-desde-svn-la-ultima.html

Esto en Edgy va muy bien y en Feisty sobran 2 que son libapr0-dev libsvn0-dev. .cuando copias y pegas borralas y voila., despues haces el ./makeall y no deberias tener ninguna complicacion en compilar el trunk de ese momento.

Bueno amigo Ati-ense fglrx-ero aventurero Berylero :P.. dicen que despues de la tormenta viene la calma. La de ati debe ser tormenta de nieve.. por lo "blanco" digo.. jaja (y no me refiero al plugin snow) :P

Saludos!! :P

9:52 a. m.  
Blogger Granjerox said...

Prueba superada. He conseguido echar a andar Beryl 0.2.0 rc3 con Ubuntu Feisty en mi inspiron 6400 con ati x1400. fglrx + XGL + Xorg 7.2 + Beryl svn.

Procedimiento ...

1º fglrx como siempre

2º XGL -> Hace falta un xgl preparado para xorg 7.2 jdong muy amablemente ha preparado el paquete
http://ubuntuforums.org/showthread.php?t=369738

3º Resolver las dependencias para poder compilar beryl. Basicamente los paquetes que johny-five tiene puestos, menos libapr0-dev libsvn0-dev y añadiendo libqt3-mt-dev kde-devel

4º Bajar el codigo del svn y ./makeall.sh

(a mi a la 3ª me funciono)

5º Y ahora lo mejor, para ejecutarlo estas dos ordenes que yo he puesto en un pequeño script carga_beryl.sh

LD_PRELOAD=/usr/lib/fglrx/libGL.so.1.2.xlibmesa beryl --use-copy --replace &
emerald --replace

Y funciona.

No pretendia hacer un howto ni mucho menos pero para una cosa que consigo, me hacía ilusión dejarla escrita en algún lado todo junto. Despues siempre se me olvida como hago las cosas (jejeje). Cómo me ha ayudado del.icio.us con mi mala memoria.

Sin mas, muchas gracias por vuestro trabajo y una pregunta. ¿Es posible sindcar tu blog? Me refiero si tiene rss. Me encantaría agregarlo a mi netvibes. Si no pues nada, entraré de vez en cuando.

Saludos !!!

8:58 p. m.  
Blogger Johnny-Five said...

No querias hacer un howto pero te hiciste un howto que vale cada letra en oro puro :P (cuando actualice el blog pongo un link desde el post a este howto no reconocido) :P

mmm.. RSS no tenemos.. somos pobres :P
Pero tenes atom que se pueden sindicar si queres.

en blogspot cualquier blog con solo agregarle atom.xml detras de la url ya te da la sindicacion..

O sea, y para no ser tan vuelteros (ultimamente hablo mucho, sera que me estoy viniendo viejo? :) la url de nuestra sindicacion seria:

http://goberylgo.blogspot.com/atom.xml

Saludos maestro y gracias por el tutorial! :P

9:05 p. m.  
Blogger Melvin said...

Disculpa, fijate que tengo el mandriva 2007 y no encuentro modo de actualizar el beryl, ademas ya baje desde easyurpmi pero estan en la version 1.4.2

1:18 a. m.  
Blogger Jose Alberto said...

Hola buenas tardes, estoy completamente desesperado, .. soy nuevo en linux y me gusta bastante, tengo apenas 3 dias y tengo el mismo equipo que granjerox, y quisiera saber si alguien me pudiera traducir a terminos noobs lo que dijo para poder resolver su problema con bery y ATI por favor

Muchas gracias..

7:09 p. m.  

Publicar un comentario

Links to this post:

Crear un vínculo

<< Home